SDL_DropEvent Struct Reference

An event used to request a file open by the system (event.drop.*) This event is enabled by default, you can disable it with SDL_EventState(). More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
char * | file

## Detailed Description

An event used to request a file open by the system (event.drop.*) This event is enabled by default, you can disable it with SDL_EventState().

Note
  If this event is enabled, you must free the filename in the event.

Definition at line 462 of file SDL_events.h.

## Field Documentation

char* SDL_DropEvent::file

The file name, which should be freed with SDL_free()

Definition at line 466 of file SDL_events.h.

Uint32 SDL_DropEvent::timestamp

Definition at line 465 of file SDL_events.h.

Uint32 SDL_DropEvent::type

SDL_DROPFILE

Definition at line 464 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- include/SDL_events.h